Subject: Re: bug#47643: WIP-GNOME

From: Leo Prikler <[email-masked]>
Date: Sat, 10 Apr 2021 15:19:58 +0200

Hi,
Am Samstag, den 10.04.2021, 19:24 +0800 schrieb 宋文武:
> Leo Prikler <[email-masked]> writes:
> 
> > Hi,
> > 
> > I've cleaned up your GStreamer patches a little and rebased them on
> > staging.
> > The patch set I'm about to send should both apply cleanly and
> > build, but I
> > haven't yet tested, whether it also runs okay.
> 
> Thank you!
> I have replied my reviews to the patches and here will do a summary.
> 
> > Raghav Gururajan (10):
> >   gnu: gstreamer: Update to 1.18.4.
> gtk+ is only used for an example, so I think we can remove it from
> inputs.
I agree.

> >   gnu: gst-plugins-base: Update to 1.18.4.
> >   gnu: gst-plugins-base: Add missing inputs to enable more
> > features.
> First patch should only make the update, and I think the second patch
> have some uncessary inputs.
Indeed, it seems this would build fine if we just did a version bump. 
At least it should if we go by version numbers alone.

> >   gnu: gst-plugins-good: Update to 1.18.4.
> >   gnu: gst-plugins-ugly: Update to 1.18.4.
> >   gnu: gst-libav: Update to 1.18.4.
> Trivial updates are good..
> 
> >   gnu: gst-plugins-bad: Update to 1.18.4.
> >   gnu: gst-plugins-bad: Add missing inputs to enable more features.
> >   gnu: gst-plugins-bad: Disable few more failing tests.
> I think there should be 2 patches, one for update, and one for enable
> more features.  Disable failing tests should be include into the
> first
> one which broken tests (or 3 patches if tests are already broken).
As far as I know, we already disable some broken tests, but those that
we don't disable should be fine.  So we should aim for 2 patches here.

> >   gnu: gst-editing-services: Update to 1.18.4.
> Also one for update, one for enable more features if possible.
> 
> And I don't think wrap thoes packages with 'glib-or-gtk? t' with
> inputs
> as glib-networking, gsettings-desktop-schema are very useful, maybe
> I'm
> wrong?
I think you're right, but it might be my bias as someone already
running GNOME.  We might want to test, whether gstreamer+gtk works in a
pure environment to make sure, that wrapping it is not required in some
fringe setting.  That said, I find it perfectly acceptable for
gstreamer to take these directly from the environment, since it's the
same for the plugins themselves.

> >  gnu/packages/gstreamer.scm | 262 ++++++++++++++++++++++++++++-----
> > ----
> >  1 file changed, 199 insertions(+), 63 deletions(-)
> > 
> > --
> > 2.31.1
> 
> In the end, 2 trivial update patches for gstreamer-docs and gst-
> python:
Thanks.  I'm a bit busy today, so I won't find the time to apply all
the suggested changes.  Is anyone else interested in forming a v2?

Regards,
Leo